pfSense - Feature #6374
Feature # 6373 (Resolved): RFC2136 DDNS could be more configurable to improve security

Provide sample server-side logic to report peer's IP address for use with DDNS
05/19/2016 07:50 PM - Marc Dye

Status: Resolved Start date: 05/19/2016
Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%
Category: Dynamic DNS Estimated time: 0.00 hour
Target version: 2.4.0

Description

Pursuant to Issue #6373 -

We can help (our) users of DDNS by providing sample code which organizations could choose to deploy on trusted webservers.
This code would simply report the IP address of the HTTP client host making the query. In addition, the HTTP response header
could be adorned with the same information.

The sample code should be constructed so as to provide an ad-hoc definition of the required output.

Base case would be CGl logic for the prevalent open-source platforms (Linux & *BSD) running prevailing open-source webservers
(Apache & nginx).

Associated revisions

Revision 186c7a6c¢ - 02/02/2017 12:20 PM - Jim Pingle

Provide info on services_checkip.php about what the server must return, and provide two examples of server-side code to return the client address.
Fixes #6374

Revision 50b9cd38 - 02/02/2017 08:20 PM - Jim Pingle

Provide info on services_checkip.php about what the server must return, and provide two examples of server-side code to return the client address.
Fixes #6374

History

#1 - 05/19/2016 08:45 PM - Jim Thompson

- Assignee set to Marc Dye

#2 - 07/10/2016 03:52 AM - Chris Buechler
- Target version changed from 2.3.2 to 2.4.0

#3 - 08/24/2016 04:07 PM - Jeremy Porter

location = /ip {
default_type text/html;
content_by_lua '
ngx.say ("<html><head><title>Current IP Check</title></head><body>Current IP Address: ")
ngx.say (ngx.var.remote_addr)
ngx.say ("</body></html>")

Requires nginx with
load_module /usr/local/libexec/nginx/ngx_http_lua_module.so;
Default freebsd nginx does not appear to have lua turned on in options, so it needs to be built from ports.
#4 - 01/24/2017 06:08 AM - Renato Botelho
- Assignee deleted (Marc Dye)

#5 - 01/26/2017 12:25 PM - Jim Pingle

- Assignee set to Jim Pingle

PHP Example:

<html><head><title>Current IP Check</title></head><body>Current IP Address: <?=$_SERVER['REMOTE_ADDR']?></body
></html>

#6 - 02/02/2017 12:30 PM - Jim Pingle
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 186¢c7a6ca49af0d848c1082bfd7f6d9f0cde7046.

#7 - 02/02/2017 07:48 PM - NOYB NOYB
- File ChecklIP.php added

There may potentially be a need to prevent caching too. Even if pfSense doesn't cache it, there could be CDN's such as Akamai in the path.

Attached is the PHP I've been using.

#8 - 02/14/2017 02:25 PM - Jim Pingle

- Status changed from Feedback to Resolved

What's in the GUI is fine for the purpose it serves. No need to get that complicated for an example.

Files

ChecklIP.php 868 Bytes 02/03/2017 NOYB NOYB

09/21/2019 22


https://redmine.pfsense.org/projects/pfsense/repository/revisions/186c7a6ca49af0d848c1082bfd7f6d9f0cde7046
http://www.tcpdf.org

